Index: cpukit/score/cpu/avr/preinstall.am
===================================================================
--- cpukit/score/cpu/avr/preinstall.am	(revision 63a88eb0bc870ca8619b4ca975329bfb781c44ea)
+++ cpukit/score/cpu/avr/preinstall.am	(revision 04a62dce21e861c7ad9c989d50d7bc662b5405c6)
@@ -44,2 +44,599 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/types.h
 
+$(PROJECT_INCLUDE)/avr/$(dirstamp):
+	@$(MKDIR_P) $(PROJECT_INCLUDE)/avr
+	@: > $(PROJECT_INCLUDE)/avr/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/avr/$(dirstamp)
+
+$(PROJECT_INCLUDE)/avr/boot.h: avr/boot.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/boot.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/boot.h
+
+$(PROJECT_INCLUDE)/avr/common.h: avr/common.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/common.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/common.h
+
+$(PROJECT_INCLUDE)/avr/crc16.h: avr/crc16.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/crc16.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/crc16.h
+
+$(PROJECT_INCLUDE)/avr/delay.h: avr/delay.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/delay.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/delay.h
+
+$(PROJECT_INCLUDE)/avr/eeprom.h: avr/eeprom.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/eeprom.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/eeprom.h
+
+$(PROJECT_INCLUDE)/avr/fuse.h: avr/fuse.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/fuse.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/fuse.h
+
+$(PROJECT_INCLUDE)/avr/interrupt.h: avr/interrupt.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/interrupt.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/interrupt.h
+
+$(PROJECT_INCLUDE)/avr/io1200.h: avr/io1200.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io1200.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io1200.h
+
+$(PROJECT_INCLUDE)/avr/io2313.h: avr/io2313.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io2313.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io2313.h
+
+$(PROJECT_INCLUDE)/avr/io2323.h: avr/io2323.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io2323.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io2323.h
+
+$(PROJECT_INCLUDE)/avr/io2333.h: avr/io2333.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io2333.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io2333.h
+
+$(PROJECT_INCLUDE)/avr/io2343.h: avr/io2343.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io2343.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io2343.h
+
+$(PROJECT_INCLUDE)/avr/io43u32x.h: avr/io43u32x.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io43u32x.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io43u32x.h
+
+$(PROJECT_INCLUDE)/avr/io43u35x.h: avr/io43u35x.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io43u35x.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io43u35x.h
+
+$(PROJECT_INCLUDE)/avr/io4414.h: avr/io4414.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io4414.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io4414.h
+
+$(PROJECT_INCLUDE)/avr/io4433.h: avr/io4433.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io4433.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io4433.h
+
+$(PROJECT_INCLUDE)/avr/io4434.h: avr/io4434.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io4434.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io4434.h
+
+$(PROJECT_INCLUDE)/avr/io76c711.h: avr/io76c711.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io76c711.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io76c711.h
+
+$(PROJECT_INCLUDE)/avr/io8515.h: avr/io8515.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io8515.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io8515.h
+
+$(PROJECT_INCLUDE)/avr/io8534.h: avr/io8534.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io8534.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io8534.h
+
+$(PROJECT_INCLUDE)/avr/io8535.h: avr/io8535.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io8535.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io8535.h
+
+$(PROJECT_INCLUDE)/avr/io86r401.h: avr/io86r401.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io86r401.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io86r401.h
+
+$(PROJECT_INCLUDE)/avr/io90pwm1.h: avr/io90pwm1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwm1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwm1.h
+
+$(PROJECT_INCLUDE)/avr/io90pwm216.h: avr/io90pwm216.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwm216.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwm216.h
+
+$(PROJECT_INCLUDE)/avr/io90pwm2b.h: avr/io90pwm2b.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwm2b.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwm2b.h
+
+$(PROJECT_INCLUDE)/avr/io90pwm316.h: avr/io90pwm316.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwm316.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwm316.h
+
+$(PROJECT_INCLUDE)/avr/io90pwm3b.h: avr/io90pwm3b.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwm3b.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwm3b.h
+
+$(PROJECT_INCLUDE)/avr/io90pwm81.h: avr/io90pwm81.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwm81.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwm81.h
+
+$(PROJECT_INCLUDE)/avr/io90pwmx.h: avr/io90pwmx.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90pwmx.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90pwmx.h
+
+$(PROJECT_INCLUDE)/avr/io90scr100.h: avr/io90scr100.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io90scr100.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io90scr100.h
+
+$(PROJECT_INCLUDE)/avr/ioa6289.h: avr/ioa6289.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/ioa6289.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/ioa6289.h
+
+$(PROJECT_INCLUDE)/avr/ioat94k.h: avr/ioat94k.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/ioat94k.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/ioat94k.h
+
+$(PROJECT_INCLUDE)/avr/iocan128.h: avr/iocan128.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iocan128.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iocan128.h
+
+$(PROJECT_INCLUDE)/avr/iocan32.h: avr/iocan32.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iocan32.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iocan32.h
+
+$(PROJECT_INCLUDE)/avr/iocan64.h: avr/iocan64.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iocan64.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iocan64.h
+
+$(PROJECT_INCLUDE)/avr/iocanxx.h: avr/iocanxx.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iocanxx.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iocanxx.h
+
+$(PROJECT_INCLUDE)/avr/io.h: avr/io.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/io.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/io.h
+
+$(PROJECT_INCLUDE)/avr/iom103.h: avr/iom103.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom103.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom103.h
+
+$(PROJECT_INCLUDE)/avr/iom1280.h: avr/iom1280.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom1280.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom1280.h
+
+$(PROJECT_INCLUDE)/avr/iom1281.h: avr/iom1281.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom1281.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom1281.h
+
+$(PROJECT_INCLUDE)/avr/iom1284p.h: avr/iom1284p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom1284p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom1284p.h
+
+$(PROJECT_INCLUDE)/avr/iom128.h: avr/iom128.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom128.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom128.h
+
+$(PROJECT_INCLUDE)/avr/iom128rfa1.h: avr/iom128rfa1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom128rfa1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom128rfa1.h
+
+$(PROJECT_INCLUDE)/avr/iom161.h: avr/iom161.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom161.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom161.h
+
+$(PROJECT_INCLUDE)/avr/iom162.h: avr/iom162.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom162.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom162.h
+
+$(PROJECT_INCLUDE)/avr/iom163.h: avr/iom163.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom163.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom163.h
+
+$(PROJECT_INCLUDE)/avr/iom164.h: avr/iom164.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom164.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom164.h
+
+$(PROJECT_INCLUDE)/avr/iom165.h: avr/iom165.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom165.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom165.h
+
+$(PROJECT_INCLUDE)/avr/iom165p.h: avr/iom165p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom165p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom165p.h
+
+$(PROJECT_INCLUDE)/avr/iom168.h: avr/iom168.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom168.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom168.h
+
+$(PROJECT_INCLUDE)/avr/iom168p.h: avr/iom168p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom168p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom168p.h
+
+$(PROJECT_INCLUDE)/avr/iom169.h: avr/iom169.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom169.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom169.h
+
+$(PROJECT_INCLUDE)/avr/iom169p.h: avr/iom169p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom169p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom169p.h
+
+$(PROJECT_INCLUDE)/avr/iom16.h: avr/iom16.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom16.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom16.h
+
+$(PROJECT_INCLUDE)/avr/iom16hva.h: avr/iom16hva.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom16hva.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom16hva.h
+
+$(PROJECT_INCLUDE)/avr/iom16m1.h: avr/iom16m1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom16m1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom16m1.h
+
+$(PROJECT_INCLUDE)/avr/iom16u4.h: avr/iom16u4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom16u4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom16u4.h
+
+$(PROJECT_INCLUDE)/avr/iom2560.h: avr/iom2560.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom2560.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom2560.h
+
+$(PROJECT_INCLUDE)/avr/iom2561.h: avr/iom2561.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom2561.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom2561.h
+
+$(PROJECT_INCLUDE)/avr/iom323.h: avr/iom323.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom323.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom323.h
+
+$(PROJECT_INCLUDE)/avr/iom324.h: avr/iom324.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom324.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom324.h
+
+$(PROJECT_INCLUDE)/avr/iom3250.h: avr/iom3250.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom3250.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom3250.h
+
+$(PROJECT_INCLUDE)/avr/iom325.h: avr/iom325.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom325.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom325.h
+
+$(PROJECT_INCLUDE)/avr/iom328p.h: avr/iom328p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom328p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom328p.h
+
+$(PROJECT_INCLUDE)/avr/iom3290.h: avr/iom3290.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom3290.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom3290.h
+
+$(PROJECT_INCLUDE)/avr/iom329.h: avr/iom329.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom329.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom329.h
+
+$(PROJECT_INCLUDE)/avr/iom32c1.h: avr/iom32c1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom32c1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom32c1.h
+
+$(PROJECT_INCLUDE)/avr/iom32.h: avr/iom32.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom32.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom32.h
+
+$(PROJECT_INCLUDE)/avr/iom32hvb.h: avr/iom32hvb.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom32hvb.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom32hvb.h
+
+$(PROJECT_INCLUDE)/avr/iom32m1.h: avr/iom32m1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom32m1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom32m1.h
+
+$(PROJECT_INCLUDE)/avr/iom32u4.h: avr/iom32u4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom32u4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom32u4.h
+
+$(PROJECT_INCLUDE)/avr/iom32u6.h: avr/iom32u6.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom32u6.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom32u6.h
+
+$(PROJECT_INCLUDE)/avr/iom406.h: avr/iom406.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom406.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom406.h
+
+$(PROJECT_INCLUDE)/avr/iom48.h: avr/iom48.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom48.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom48.h
+
+$(PROJECT_INCLUDE)/avr/iom48p.h: avr/iom48p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom48p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom48p.h
+
+$(PROJECT_INCLUDE)/avr/iom640.h: avr/iom640.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom640.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom640.h
+
+$(PROJECT_INCLUDE)/avr/iom644.h: avr/iom644.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom644.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom644.h
+
+$(PROJECT_INCLUDE)/avr/iom6450.h: avr/iom6450.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom6450.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom6450.h
+
+$(PROJECT_INCLUDE)/avr/iom645.h: avr/iom645.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom645.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom645.h
+
+$(PROJECT_INCLUDE)/avr/iom6490.h: avr/iom6490.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom6490.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom6490.h
+
+$(PROJECT_INCLUDE)/avr/iom649.h: avr/iom649.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom649.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom649.h
+
+$(PROJECT_INCLUDE)/avr/iom64c1.h: avr/iom64c1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom64c1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom64c1.h
+
+$(PROJECT_INCLUDE)/avr/iom64.h: avr/iom64.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom64.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom64.h
+
+$(PROJECT_INCLUDE)/avr/iom64m1.h: avr/iom64m1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom64m1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom64m1.h
+
+$(PROJECT_INCLUDE)/avr/iom8515.h: avr/iom8515.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom8515.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom8515.h
+
+$(PROJECT_INCLUDE)/avr/iom8535.h: avr/iom8535.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom8535.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom8535.h
+
+$(PROJECT_INCLUDE)/avr/iom88.h: avr/iom88.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom88.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom88.h
+
+$(PROJECT_INCLUDE)/avr/iom88p.h: avr/iom88p.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom88p.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom88p.h
+
+$(PROJECT_INCLUDE)/avr/iom8.h: avr/iom8.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom8.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom8.h
+
+$(PROJECT_INCLUDE)/avr/iom8hva.h: avr/iom8hva.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iom8hva.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iom8hva.h
+
+$(PROJECT_INCLUDE)/avr/iomx8.h: avr/iomx8.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iomx8.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iomx8.h
+
+$(PROJECT_INCLUDE)/avr/iomxx0_1.h: avr/iomxx0_1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iomxx0_1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iomxx0_1.h
+
+$(PROJECT_INCLUDE)/avr/iomxx4.h: avr/iomxx4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iomxx4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iomxx4.h
+
+$(PROJECT_INCLUDE)/avr/iomxxhva.h: avr/iomxxhva.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iomxxhva.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iomxxhva.h
+
+$(PROJECT_INCLUDE)/avr/iotn11.h: avr/iotn11.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn11.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn11.h
+
+$(PROJECT_INCLUDE)/avr/iotn12.h: avr/iotn12.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn12.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn12.h
+
+$(PROJECT_INCLUDE)/avr/iotn13a.h: avr/iotn13a.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn13a.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn13a.h
+
+$(PROJECT_INCLUDE)/avr/iotn13.h: avr/iotn13.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn13.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn13.h
+
+$(PROJECT_INCLUDE)/avr/iotn15.h: avr/iotn15.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn15.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn15.h
+
+$(PROJECT_INCLUDE)/avr/iotn167.h: avr/iotn167.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn167.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn167.h
+
+$(PROJECT_INCLUDE)/avr/iotn22.h: avr/iotn22.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn22.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn22.h
+
+$(PROJECT_INCLUDE)/avr/iotn2313.h: avr/iotn2313.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn2313.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn2313.h
+
+$(PROJECT_INCLUDE)/avr/iotn24.h: avr/iotn24.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn24.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn24.h
+
+$(PROJECT_INCLUDE)/avr/iotn25.h: avr/iotn25.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn25.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn25.h
+
+$(PROJECT_INCLUDE)/avr/iotn261.h: avr/iotn261.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn261.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn261.h
+
+$(PROJECT_INCLUDE)/avr/iotn26.h: avr/iotn26.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn26.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn26.h
+
+$(PROJECT_INCLUDE)/avr/iotn28.h: avr/iotn28.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn28.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn28.h
+
+$(PROJECT_INCLUDE)/avr/iotn43u.h: avr/iotn43u.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn43u.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn43u.h
+
+$(PROJECT_INCLUDE)/avr/iotn44.h: avr/iotn44.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn44.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn44.h
+
+$(PROJECT_INCLUDE)/avr/iotn45.h: avr/iotn45.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn45.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn45.h
+
+$(PROJECT_INCLUDE)/avr/iotn461.h: avr/iotn461.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn461.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn461.h
+
+$(PROJECT_INCLUDE)/avr/iotn48.h: avr/iotn48.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn48.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn48.h
+
+$(PROJECT_INCLUDE)/avr/iotn84.h: avr/iotn84.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn84.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn84.h
+
+$(PROJECT_INCLUDE)/avr/iotn85.h: avr/iotn85.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn85.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn85.h
+
+$(PROJECT_INCLUDE)/avr/iotn861.h: avr/iotn861.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn861.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn861.h
+
+$(PROJECT_INCLUDE)/avr/iotn87.h: avr/iotn87.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn87.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn87.h
+
+$(PROJECT_INCLUDE)/avr/iotn88.h: avr/iotn88.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotn88.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotn88.h
+
+$(PROJECT_INCLUDE)/avr/iotnx4.h: avr/iotnx4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotnx4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotnx4.h
+
+$(PROJECT_INCLUDE)/avr/iotnx5.h: avr/iotnx5.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotnx5.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotnx5.h
+
+$(PROJECT_INCLUDE)/avr/iotnx61.h: avr/iotnx61.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iotnx61.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iotnx61.h
+
+$(PROJECT_INCLUDE)/avr/iousb1286.h: avr/iousb1286.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousb1286.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousb1286.h
+
+$(PROJECT_INCLUDE)/avr/iousb1287.h: avr/iousb1287.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousb1287.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousb1287.h
+
+$(PROJECT_INCLUDE)/avr/iousb162.h: avr/iousb162.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousb162.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousb162.h
+
+$(PROJECT_INCLUDE)/avr/iousb646.h: avr/iousb646.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousb646.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousb646.h
+
+$(PROJECT_INCLUDE)/avr/iousb647.h: avr/iousb647.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousb647.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousb647.h
+
+$(PROJECT_INCLUDE)/avr/iousb82.h: avr/iousb82.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousb82.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousb82.h
+
+$(PROJECT_INCLUDE)/avr/iousbxx2.h: avr/iousbxx2.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousbxx2.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousbxx2.h
+
+$(PROJECT_INCLUDE)/avr/iousbxx6_7.h: avr/iousbxx6_7.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iousbxx6_7.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iousbxx6_7.h
+
+$(PROJECT_INCLUDE)/avr/iox128a1.h: avr/iox128a1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox128a1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox128a1.h
+
+$(PROJECT_INCLUDE)/avr/iox128a3.h: avr/iox128a3.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox128a3.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox128a3.h
+
+$(PROJECT_INCLUDE)/avr/iox16a4.h: avr/iox16a4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox16a4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox16a4.h
+
+$(PROJECT_INCLUDE)/avr/iox16d4.h: avr/iox16d4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox16d4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox16d4.h
+
+$(PROJECT_INCLUDE)/avr/iox256a3b.h: avr/iox256a3b.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox256a3b.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox256a3b.h
+
+$(PROJECT_INCLUDE)/avr/iox256a3.h: avr/iox256a3.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox256a3.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox256a3.h
+
+$(PROJECT_INCLUDE)/avr/iox32a4.h: avr/iox32a4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox32a4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox32a4.h
+
+$(PROJECT_INCLUDE)/avr/iox32d4.h: avr/iox32d4.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox32d4.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox32d4.h
+
+$(PROJECT_INCLUDE)/avr/iox64a1.h: avr/iox64a1.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox64a1.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox64a1.h
+
+$(PROJECT_INCLUDE)/avr/iox64a3.h: avr/iox64a3.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/iox64a3.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/iox64a3.h
+
+$(PROJECT_INCLUDE)/avr/lock.h: avr/lock.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/lock.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/lock.h
+
+$(PROJECT_INCLUDE)/avr/parity.h: avr/parity.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/parity.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/parity.h
+
+$(PROJECT_INCLUDE)/avr/pgmspace.h: avr/pgmspace.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/pgmspace.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/pgmspace.h
+
+$(PROJECT_INCLUDE)/avr/portpins.h: avr/portpins.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/portpins.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/portpins.h
+
+$(PROJECT_INCLUDE)/avr/power.h: avr/power.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/power.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/power.h
+
+$(PROJECT_INCLUDE)/avr/sfr_defs.h: avr/sfr_defs.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/sfr_defs.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/sfr_defs.h
+
+$(PROJECT_INCLUDE)/avr/signal.h: avr/signal.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/signal.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/signal.h
+
+$(PROJECT_INCLUDE)/avr/sleep.h: avr/sleep.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/sleep.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/sleep.h
+
+$(PROJECT_INCLUDE)/avr/version.h: avr/version.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/version.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/version.h
+
+$(PROJECT_INCLUDE)/avr/wdt.h: avr/wdt.h $(PROJECT_INCLUDE)/avr/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/avr/wdt.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/avr/wdt.h
+
